Retrieve all Legal entities

Retrieve a paginated list of all Legal entities and their details. You can apply filters to narrow down the results based on specific criteria.

Query Params
string

Implemented filter mappings:
businessId - Legal entity's business identifier.
name - Legal entity's name (e.g."Example name").
address - Address of the Legal entity.
city - City of the Legal entity.
language - 4 digit code (Language Code ISO (ISO 639-1) and Country Code ISO (ISO 3166-1)).
status - ACTIVE, INACTIVE, NOTCONFIRMED.

For example, when you need to find a Legal entity with business id "LE_L5FV52NP" you need to run this query
filter=businessId=LE_L5FV52NP

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=name="Example Legal Entity".



The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuebusinessId=LE_L5FV52NP
!=Not EqualNegated equalbusinessId!=LE_L5FV52NP
:InMatches field against list of comma separated valuesbusinessId:LE_L5FV52NP,LE_L5FV52NQ,LE_L5FV52NR
!:Not InNegated InbusinessId!:LE_L5FV52NP,LE_L5FV52NQ,LE_L5FV52NR
<field>ExistsA field without operator. Is true if the field is not null businessId
<field>!Not ExistsNegated exists. Is true if field is nullbusinessId!



The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

UsageNameDescription
name=foo or name="foo"Starts withMatches any string starting with the value.
name=foo or name="foo"Ends withMatches any string ending with the value.
name=*foo or name="foo"*LikeMatches any string containing the value.
integer
Defaults to 1

Specify which page of results to return, one-based example starts from 1

integer
Defaults to 50

specifies the number of items per page

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json